diff -ur old/src/eclipsehelp.cpp new/src/eclipsehelp.cpp
--- old/src/eclipsehelp.cpp	2012-11-18 16:31:42.862187000 +0100
+++ new/src/eclipsehelp.cpp	2012-11-18 16:31:52.672333000 +0100
@@ -18,7 +18,7 @@
 #include "message.h"
 #include "doxygen.h"
 
-EclipseHelp::EclipseHelp() : m_depth(0), m_endtag(FALSE), m_tocfile(0) 
+EclipseHelp::EclipseHelp() : m_depth(0), m_endtag(FALSE), m_openTags(0), m_tocfile(0) 
 {
 }
 
@@ -50,6 +50,7 @@
   {
     m_tocstream << ">" << endl;
     m_endtag = FALSE;
+    ++m_openTags;
   }
 }
 
@@ -143,8 +144,13 @@
   // -- end of the opened topic
   closedTag();
   --m_depth;
-  indent();
-  m_tocstream << "</topic>" << endl;
+
+  if (m_openTags==m_depth)
+  {
+    --m_openTags;
+    indent();
+    m_tocstream << "</topic>" << endl;
+  }
 }
 
 /*!
diff -ur old/src/eclipsehelp.h new/src/eclipsehelp.h
--- old/src/eclipsehelp.h	2012-11-18 16:31:42.862192000 +0100
+++ new/src/eclipsehelp.h	2012-11-18 16:31:52.672336000 +0100
@@ -61,6 +61,7 @@
   private:
     int m_depth;
     bool m_endtag;
+    int m_openTags;
 
     QFile * m_tocfile;
     FTextStream m_tocstream;
